<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>AAA.lib.pirate.Find.NewHQ</name>
<version>2</version>
<engineversion>25</engineversion>
<description>Find a new HQ</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$MajorBase&#160;=&#160;</var><var>null</var></line>
<line linenr="002" interruptable="@" indent=""><var>$bases&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>AAA.lib.pirate.find.base.array</call><text>&#160;:&#160;</text></line>
<line linenr="003" indent=""><var>$nb&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$bases</var></line>
<line linenr="004" indent=""><var>if&#160;</var><var>$nb</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="005" indent="&#160;"><var>$selected</var><text>&#160;=&#160;random&#160;value&#160;from&#160;0&#160;to&#160;</text><var>$nb</var><text>&#160;-&#160;1</text></line>
<line linenr="006" indent="&#160;"><var>$MajorBase&#160;=&#160;</var><var>$bases</var><text>[</text><var>$selected</var><text>]</text></line>
<line linenr="007" indent=""><text>end</text></line>
<line linenr="008" indent=""><text>return&#160;</text><var>$MajorBase</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="AAA.lib.pirate.Find.NewHQ" /><sval type="int" val="25" /><sval type="string" val="Find a new HQ" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="4"><sval type="string" val="MajorBase" /><sval type="string" val="bases" /><sval type="string" val="nb" /><sval type="string" val="selected" /></sval><sval type="array" size="7"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="AAA.lib.pirate.find.base.array" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610611197" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="106" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval></sval><sval type="int" val="0" /><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
